# flags

## Name

flags — Deprecated: do not use

## Synopsis

Content Model

    flags ::=

Attributes
Name | Type
`value` | NUMBER (required)

## Description

This element is deprecated, and should no longer be used. As of Regina 4.93, this element will not be written, and will be ignored when reading older data files.

A `flags` element stores an arbitrary set of flags combined into a single integer.

### Parents

The following elements contain `flags`: `struct`.

### Children

Element `flags` has no children.

## Attributes

`value`

  A single integer containing the values of all the flags under consideration. Generally these flags take boolean values (or belong to very small enumerations) and are thus stored as individual bits (or small clumps of bits) in this integer's binary representation.